# Uses of Class
net.shibboleth.idp.attribute.filter.AttributeFilterPolicy

Packages that use AttributeFilterPolicy
Package
Description
net.shibboleth.idp.attribute.filter
This package contains a filtering engine for a collection of `IdPAttribute`s.
net.shibboleth.idp.attribute.filter.impl
Implementations of core attribute filter functionality.

## Uses of AttributeFilterPolicy in net.shibboleth.idp.attribute.filter

Methods in net.shibboleth.idp.attribute.filter that return types with arguments of type AttributeFilterPolicy
Modifier and Type
Method
Description
`List<AttributeFilterPolicy>`
AttributeFilter.`getFilterPolicies()`
Gets the immutable collection of filter policies.

## Uses of AttributeFilterPolicy in net.shibboleth.idp.attribute.filter.impl

Fields in net.shibboleth.idp.attribute.filter.impl with type parameters of type AttributeFilterPolicy
Modifier and Type
Field
Description
`private final List<AttributeFilterPolicy>`
AttributeFilterImpl.`filterPolicies`
Filter policies used by this engine.
Methods in net.shibboleth.idp.attribute.filter.impl that return types with arguments of type AttributeFilterPolicy
Modifier and Type
Method
Description
`List<AttributeFilterPolicy>`
AttributeFilterImpl.`getFilterPolicies()`
Gets the immutable collection of filter policies.
Constructor parameters in net.shibboleth.idp.attribute.filter.impl with type arguments of type AttributeFilterPolicy
Modifier
Constructor
Description
``
`AttributeFilterImpl(String engineId, Collection<AttributeFilterPolicy> policies)`
Constructor.